ReferenceAPI
curl -X POST "https://api.nevia.cloud/v1/variables" \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: 8f1c2a7e-3b4d-4c5e-9f0a-1b2c3d4e5f60" \
-H "Content-Type: application/json" \
-d '{
"workspace": "01d4cnjjq40hnnh0nwmkg35nv2h",
"name": "REGION",
"value": "eu-west-1"
}'{
"variable": {
"id": "01d4cnjr0f5h7k9m2p4r6t8v0x2",
"workspace": "01d4cnjjq40hnnh0nwmkg35nv2h",
"name": "DATABASE_PASSWORD",
"created_by": "01d4cnjmn4fbb1r5btxb5mypv62",
"updated_by": "01d4cnjmn4fbb1r5btxb5mypv62",
"created_at": "2026-09-10T12:34:56Z",
"updated_at": "2026-09-10T12:34:56Z",
"deleted_at": "2026-09-10T12:34:56Z",
"value": "eu-west-1"
},
"operations": [
"01d4cnjm89yk0r3xtv80dy0x7by"
]
}Authorization
bearerAuth Authorization
Bearer <token>
Send the token in the Authorization: Bearer <token> header. See Authenticate.
In: header
Header Parameters
Idempotency-Key*
string
Retry key. A retry with the same key and body replays the first response
Length
1 <= length <= 255Request Body
application/json
Response
application/jsonThe variable, value included. operations is empty.